package com.sooka.sponest.event.centereventteventcatalogue.controller;

import com.ruoyi.common.core.utils.SpringUtils;
import com.ruoyi.common.core.utils.StringUtils;
import com.ruoyi.common.core.utils.poi.ExcelUtil;
import com.ruoyi.common.core.web.controller.BaseController;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.ruoyi.common.log.annotation.Log;
import com.ruoyi.common.log.enums.BusinessType;
import com.ruoyi.common.security.annotation.RequiresPermissions;
import com.ruoyi.system.api.RemoteConfigService;
import com.sooka.sponest.event.centereventteventcatalogue.domain.CentereventTDownloads;
import com.sooka.sponest.event.centereventteventcatalogue.service.ICentereventTDownloadsService;
import com.sooka.sponest.event.centereventteventcatalogue.service.ICentereventTEventcatalogueService;
import com.sooka.sponest.event.utils.EventConstants;
import org.apache.commons.collections4.MapUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletResponse;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 【请填写功能名称】Controller
 *
 * @author ruoyi
 * @date 2023-09-12
 */
@RestController
@RequestMapping("/downloads")
public class CentereventTDownloadsController extends BaseController {

    @Autowired
    private ICentereventTDownloadsService centereventTDownloadsService;

    @Autowired
    private ICentereventTEventcatalogueService centereventTEventcatalogueService;

    /**
     * 查询【请填写功能名称】列表
     */
    @RequiresPermissions("event:downloads:list")
    @GetMapping("/list")
    public TableDataInfo list(CentereventTDownloads centereventTDownloads) {
        startPage();
        List<CentereventTDownloads> list = centereventTDownloadsService.selectCentereventTDownloadsList(centereventTDownloads);
        if (StringUtils.isNotEmpty(list)) {
            String prefix = SpringUtils.getBean(RemoteConfigService.class).remotegetConfigKey(EventConstants.FILE_PREFIX_LOCAL).getData();
            list.forEach(item -> {
                if ("1".equals(item.getFlag())) {
                    item.setPath(prefix + item.getPath());
                }
            });
        }
        return getDataTable(list);
    }

    @PostMapping("/downloadsMonth")
    public AjaxResult downloadsMonth(@RequestBody Map<String, Object> params) {
        Map<String, Object> param = new HashMap<>();
        param.put("monthValueStart", MapUtils.getString(params, "monthValueStart"));
        param.put("monthValueEnd", MapUtils.getString(params, "monthValueEnd"));
        centereventTEventcatalogueService.downloadsCommon(params);
        return AjaxResult.success();
    }

    /**
     * 导出【请填写功能名称】列表
     */
    @RequiresPermissions("event:downloads:export")
    @Log(title = "【请填写功能名称】", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, CentereventTDownloads centereventTDownloads) {
        List<CentereventTDownloads> list = centereventTDownloadsService.selectCentereventTDownloadsList(centereventTDownloads);
        ExcelUtil<CentereventTDownloads> util = new ExcelUtil<>(CentereventTDownloads.class);
        util.exportExcel(response, list, "【请填写功能名称】数据");
    }

    /**
     * 获取【请填写功能名称】详细信息
     */
    @RequiresPermissions("event:downloads:query")
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") String id) {
        return AjaxResult.success(centereventTDownloadsService.selectCentereventTDownloadsById(id));
    }

    /**
     * 新增【请填写功能名称】
     */
    @RequiresPermissions("event:downloads:add")
    @Log(title = "【请填写功能名称】", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody CentereventTDownloads centereventTDownloads) {
        return toAjax(centereventTDownloadsService.insertCentereventTDownloads(centereventTDownloads));
    }

    /**
     * 修改【请填写功能名称】
     */
    @RequiresPermissions("event:downloads:edit")
    @Log(title = "【请填写功能名称】", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody CentereventTDownloads centereventTDownloads) {
        return toAjax(centereventTDownloadsService.updateCentereventTDownloads(centereventTDownloads));
    }

    /**
     * 删除【请填写功能名称】
     */
    @RequiresPermissions("event:downloads:remove")
    @Log(title = "【请填写功能名称】", businessType = BusinessType.DELETE)
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable String[] ids) {
        return toAjax(centereventTDownloadsService.deleteCentereventTDownloadsByIds(ids));
    }
}
