package com.sooka.sponest.event.emergency.danger.domain;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.datascope.base.domain.BaseBusinessEntity;
import com.sooka.sponest.event.emergency.dangerdeptmap.domain.CentereventTEmergencyDangerdeptmap;
import com.sooka.sponest.event.remoteapi.domain.CenterdataTAttach;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import javax.validation.constraints.NotBlank;
import java.util.ArrayList;
import java.util.List;

/**
 * 安全隐患对象 centerevent_t_emergency_danger
 *
 * @author ruoyi
 * @date 2022-07-20
 */
public class CentereventTEmergencyDanger extends BaseBusinessEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    private String id;

    /**
     * 标题
     */
    @Excel(name = "标题")
    @NotBlank
    private String dangerTitle;

    /**
     * 内容
     */
    @Excel(name = "内容")
    @NotBlank
    private String dangerContent;

    /**
     * 企业id
     */
    @NotBlank
    private String enterpriseId;

    /**
     * 企业名称
     */
    @Excel(name = "企业名称")
    @NotBlank
    private String enterpriseName;

    /**
     * 来源
     */
    @Excel(name = "来源", dictType = "emergency_danger_source")
    @NotBlank
    private String dangerSource;

    /**
     * 隐患状态
     */
    @Excel(name = "隐患状态", dictType = "emergency_trouble_status")
    private String dangerStatus;
    @NotBlank
    private String dangerStatusLabel;

    /**
     * 经度
     */
    @Excel(name = "经度")
    @NotBlank
    private String longitude;

    /**
     * 纬度
     */
    @Excel(name = "纬度")
    @NotBlank
    private String latitude;

    /**
     * 地址
     */
    private String dangerAddress;

    /**
     * 隐患报告
     */
    private String dangerReport;// 充当上报人使用

    /**
     * 是否上报应急局
     */
    private String isupyjj;

    /**
     * 数据状态(1-可用 2-不可用 )
     */
    private String dataStatus;

    @NotBlank
    private String deptId;// 所属部门
    @NotBlank
    private String deptName;// 所属部门
    List<CentereventTEmergencyDangerdeptmap> depts = new ArrayList<>();// 联动部门
    List<CenterdataTAttach> attachs = new ArrayList<>();// 图片
    @NotBlank
    private String telphone;// 企业安全负责人电话号
    private String createDate;// 日期，可视化查询参数

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getDangerTitle() {
        return dangerTitle;
    }

    public void setDangerTitle(String dangerTitle) {
        this.dangerTitle = dangerTitle;
    }

    public String getDangerContent() {
        return dangerContent;
    }

    public void setDangerContent(String dangerContent) {
        this.dangerContent = dangerContent;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getDangerSource() {
        return dangerSource;
    }

    public void setDangerSource(String dangerSource) {
        this.dangerSource = dangerSource;
    }

    public String getDangerStatus() {
        return dangerStatus;
    }

    public void setDangerStatus(String dangerStatus) {
        this.dangerStatus = dangerStatus;
    }

    public String getDangerStatusLabel() {
        return dangerStatusLabel;
    }

    public void setDangerStatusLabel(String dangerStatusLabel) {
        this.dangerStatusLabel = dangerStatusLabel;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getDangerAddress() {
        return dangerAddress;
    }

    public void setDangerAddress(String dangerAddress) {
        this.dangerAddress = dangerAddress;
    }

    public String getDangerReport() {
        return dangerReport;
    }

    public void setDangerReport(String dangerReport) {
        this.dangerReport = dangerReport;
    }

    public String getIsupyjj() {
        return isupyjj;
    }

    public void setIsupyjj(String isupyjj) {
        this.isupyjj = isupyjj;
    }

    public String getDataStatus() {
        return dataStatus;
    }

    public void setDataStatus(String dataStatus) {
        this.dataStatus = dataStatus;
    }

    public String getDeptId() {
        return deptId;
    }

    public void setDeptId(String deptId) {
        this.deptId = deptId;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public List<CentereventTEmergencyDangerdeptmap> getDepts() {
        return depts;
    }

    public void setDepts(List<CentereventTEmergencyDangerdeptmap> depts) {
        this.depts = depts;
    }

    public List<CenterdataTAttach> getAttachs() {
        return attachs;
    }

    public void setAttachs(List<CenterdataTAttach> attachs) {
        this.attachs = attachs;
    }

    public String getTelphone() {
        return telphone;
    }

    public void setTelphone(String telphone) {
        this.telphone = telphone;
    }

    public String getCreateDate() {
        return createDate;
    }

    public void setCreateDate(String createDate) {
        this.createDate = createDate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("dataDeptId", getDataDeptId())
                .append("dataStatus", getDataStatus())
                .append("longitude", getLongitude())
                .append("latitude", getLatitude())
                .append("dangerStatus", getDangerStatus())
                .append("dangerTitle", getDangerTitle())
                .append("dangerContent", getDangerContent())
                .append("enterpriseId", getEnterpriseId())
                .append("enterpriseName", getEnterpriseName())
                .append("dangerAddress", getDangerAddress())
                .append("dangerSource", getDangerSource())
                .append("dangerReport", getDangerReport())
                .append("isupyjj", getIsupyjj())
                .toString();
    }
}
