package com.sooka.sponest.event.emergency.danger.service;

import com.sooka.sponest.event.emergency.danger.domain.CentereventTEmergencyDanger;

import java.util.List;
import java.util.Map;

/**
 * 安全隐患Service接口
 *
 * @author ruoyi
 * @date 2022-07-20
 */
public interface ICentereventTEmergencyDangerService {

    /**
     * 查询安全隐患列表
     *
     * @param centereventTEmergencyDanger 安全隐患
     * @return 安全隐患集合
     */
    List<CentereventTEmergencyDanger> selectCentereventTEmergencyDangerList(CentereventTEmergencyDanger centereventTEmergencyDanger);

    /**
     * 查询安全隐患
     *
     * @param id 安全隐患主键
     * @return 安全隐患
     */
    CentereventTEmergencyDanger selectCentereventTEmergencyDangerById(String id);

    /**
     * 新增安全隐患
     *
     * @param centereventTEmergencyDanger 安全隐患
     * @return 结果
     */
    int insertCentereventTEmergencyDanger(CentereventTEmergencyDanger centereventTEmergencyDanger);

    /**
     * 修改安全隐患
     *
     * @param centereventTEmergencyDanger 安全隐患
     * @return 结果
     */
    int updateCentereventTEmergencyDanger(CentereventTEmergencyDanger centereventTEmergencyDanger);

    /**
     * 批量删除安全隐患
     *
     * @param ids 需要删除的安全隐患主键集合
     * @return 结果
     */
    int deleteCentereventTEmergencyDangerByIds(String[] ids);

    List<Map<String, Object>> selectDangerByCalendar(CentereventTEmergencyDanger centereventTEmergencyDanger);

    /**
     * 大数据统计安全隐患
     * @return
     */
    List<Map> selectStatsMap();
}
