package com.sooka.sponest.event.emergency.dangerdeptmap.service;

import com.sooka.sponest.event.emergency.dangerdeptmap.domain.CentereventTEmergencyDangerdeptmap;

import java.util.List;

/**
 * 隐患对应部门Service接口
 *
 * @author ruoyi
 * @date 2022-07-20
 */
public interface ICentereventTEmergencyDangerdeptmapService {

    /**
     * 查询隐患对应部门列表
     *
     * @param centereventTEmergencyDangerdeptmap 隐患对应部门
     * @return 隐患对应部门集合
     */
    List<CentereventTEmergencyDangerdeptmap> selectCentereventTEmergencyDangerdeptmapList(CentereventTEmergencyDangerdeptmap centereventTEmergencyDangerdeptmap);

    /**
     * 查询隐患对应部门
     *
     * @param pkId 隐患对应部门主键
     * @return 隐患对应部门
     */
    CentereventTEmergencyDangerdeptmap selectCentereventTEmergencyDangerdeptmapByPkId(String pkId);

    /**
     * 新增隐患对应部门
     *
     * @param centereventTEmergencyDangerdeptmap 隐患对应部门
     * @return 结果
     */
    int insertCentereventTEmergencyDangerdeptmap(CentereventTEmergencyDangerdeptmap centereventTEmergencyDangerdeptmap);

    /**
     * 修改隐患对应部门
     *
     * @param centereventTEmergencyDangerdeptmap 隐患对应部门
     * @return 结果
     */
    int updateCentereventTEmergencyDangerdeptmap(CentereventTEmergencyDangerdeptmap centereventTEmergencyDangerdeptmap);

    /**
     * 批量删除隐患对应部门
     *
     * @param pkIds 需要删除的隐患对应部门主键集合
     * @return 结果
     */
    int deleteCentereventTEmergencyDangerdeptmapByPkIds(String[] pkIds);
}
