package com.sooka.sponest.event.emergency.dangerdeptmap.service.impl;

import com.ruoyi.common.core.utils.DateUtils;
import com.ruoyi.common.core.utils.uuid.IdUtils;
import com.ruoyi.common.security.utils.SecurityUtils;
import com.sooka.sponest.event.emergency.dangerdeptmap.domain.CentereventTEmergencyDangerdeptmap;
import com.sooka.sponest.event.emergency.dangerdeptmap.mapper.CentereventTEmergencyDangerdeptmapMapper;
import com.sooka.sponest.event.emergency.dangerdeptmap.service.ICentereventTEmergencyDangerdeptmapService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 隐患对应部门Service业务层处理
 *
 * @author ruoyi
 * @date 2022-07-20
 */
@Service
public class CentereventTEmergencyDangerdeptmapServiceImpl implements ICentereventTEmergencyDangerdeptmapService {

    @Autowired
    private CentereventTEmergencyDangerdeptmapMapper centereventTEmergencyDangerdeptmapMapper;

    /**
     * 查询隐患对应部门列表
     *
     * @param centereventTEmergencyDangerdeptmap 隐患对应部门
     * @return 隐患对应部门
     */
    @Override
    public List<CentereventTEmergencyDangerdeptmap> selectCentereventTEmergencyDangerdeptmapList(CentereventTEmergencyDangerdeptmap centereventTEmergencyDangerdeptmap) {
        return centereventTEmergencyDangerdeptmapMapper.selectCentereventTEmergencyDangerdeptmapList(centereventTEmergencyDangerdeptmap);
    }

    /**
     * 查询隐患对应部门
     *
     * @param pkId 隐患对应部门主键
     * @return 隐患对应部门
     */
    @Override
    public CentereventTEmergencyDangerdeptmap selectCentereventTEmergencyDangerdeptmapByPkId(String pkId) {
        return centereventTEmergencyDangerdeptmapMapper.selectCentereventTEmergencyDangerdeptmapByPkId(pkId);
    }

    /**
     * 新增隐患对应部门
     *
     * @param centereventTEmergencyDangerdeptmap 隐患对应部门
     * @return 结果
     */
    @Override
    public int insertCentereventTEmergencyDangerdeptmap(CentereventTEmergencyDangerdeptmap centereventTEmergencyDangerdeptmap) {
        centereventTEmergencyDangerdeptmap.setPkId(IdUtils.fastSimpleUUID());
        centereventTEmergencyDangerdeptmap.setCreateBy(SecurityUtils.getUserId().toString());
        centereventTEmergencyDangerdeptmap.setCreateTime(DateUtils.getNowDate());
        return centereventTEmergencyDangerdeptmapMapper.insertCentereventTEmergencyDangerdeptmap(centereventTEmergencyDangerdeptmap);
    }

    /**
     * 修改隐患对应部门
     *
     * @param centereventTEmergencyDangerdeptmap 隐患对应部门
     * @return 结果
     */
    @Override
    public int updateCentereventTEmergencyDangerdeptmap(CentereventTEmergencyDangerdeptmap centereventTEmergencyDangerdeptmap) {
        centereventTEmergencyDangerdeptmap.setUpdateTime(DateUtils.getNowDate());
        return centereventTEmergencyDangerdeptmapMapper.updateCentereventTEmergencyDangerdeptmap(centereventTEmergencyDangerdeptmap);
    }

    /**
     * 批量删除隐患对应部门
     *
     * @param pkIds 需要删除的隐患对应部门主键
     * @return 结果
     */
    @Override
    public int deleteCentereventTEmergencyDangerdeptmapByPkIds(String[] pkIds) {
        return centereventTEmergencyDangerdeptmapMapper.deleteCentereventTEmergencyDangerdeptmapByPkIds(pkIds);
    }
}
