package com.sooka.sponest.event.emergency.dangerprocess.domain;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import javax.validation.constraints.NotBlank;

/**
 * 隐患处理过程对象 centerevent_t_emergency_dangerprocess
 *
 * @author ruoyi
 * @date 2022-07-20
 */
public class CentereventTEmergencyDangerprocess extends BaseEntity {

    public CentereventTEmergencyDangerprocess() {

    }

    public CentereventTEmergencyDangerprocess(String dangerId) {
        this.dangerId = dangerId;
    }

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    private String id;

    /**
     * 数据状态
     */
    @Excel(name = "数据状态")
    private String dataStatus;

    /**
     * 隐患id
     */
    @Excel(name = "隐患id")
    @NotBlank
    private String dangerId;

    /**
     * 处理人id
     */
    @Excel(name = "处理人id")
    private Long userId;

    /**
     * 处理人姓名
     */
    @Excel(name = "处理人姓名")
    @NotBlank
    private String userName;

    /**
     * 处理描述
     */
    @Excel(name = "处理描述")
    @NotBlank
    private String processDes;

    /**
     * 处理人所属部门id
     */
    @Excel(name = "处理人所属部门id")
    private Long deptId;

    /**
     * 处理人所属部门名称
     */
    @Excel(name = "处理人所属部门名称")
    private String deptName;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String processType;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long owndeptid;

    private String telphone;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getDataStatus() {
        return dataStatus;
    }

    public void setDataStatus(String dataStatus) {
        this.dataStatus = dataStatus;
    }

    public String getDangerId() {
        return dangerId;
    }

    public void setDangerId(String dangerId) {
        this.dangerId = dangerId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getProcessDes() {
        return processDes;
    }

    public void setProcessDes(String processDes) {
        this.processDes = processDes;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getProcessType() {
        return processType;
    }

    public void setProcessType(String processType) {
        this.processType = processType;
    }

    public Long getOwndeptid() {
        return owndeptid;
    }

    public void setOwndeptid(Long owndeptid) {
        this.owndeptid = owndeptid;
    }

    public String getTelphone() {
        return telphone;
    }

    public void setTelphone(String telphone) {
        this.telphone = telphone;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("dataStatus", getDataStatus())
                .append("dangerId", getDangerId())
                .append("userId", getUserId())
                .append("userName", getUserName())
                .append("processDes", getProcessDes())
                .append("deptId", getDeptId())
                .append("deptName", getDeptName())
                .append("processType", getProcessType())
                .append("owndeptid", getOwndeptid())
                .toString();
    }
}
