package com.sooka.sponest.event.emergency.dangerprocess.service;

import com.sooka.sponest.event.emergency.danger.domain.CentereventTEmergencyDanger;
import com.sooka.sponest.event.emergency.dangerprocess.domain.CentereventTEmergencyDangerprocess;
import com.sooka.sponest.event.emergency.dangerprocess.domain.DayBody;

import java.util.List;

/**
 * 隐患处理过程Service接口
 *
 * @author ruoyi
 * @date 2022-07-20
 */
public interface ICentereventTEmergencyDangerprocessService {

    /**
     * 查询隐患处理过程列表
     *
     * @param centereventTEmergencyDangerprocess 隐患处理过程
     * @return 隐患处理过程集合
     */
    List<CentereventTEmergencyDangerprocess> selectCentereventTEmergencyDangerprocessList(CentereventTEmergencyDangerprocess centereventTEmergencyDangerprocess);

    /**
     * 查询隐患处理过程
     *
     * @param pkId 隐患处理过程主键
     * @return 隐患处理过程
     */
    CentereventTEmergencyDangerprocess selectCentereventTEmergencyDangerprocessByPkId(String pkId);

    /**
     * 新增隐患处理过程
     *
     * @param centereventTEmergencyDangerprocess 隐患处理过程
     * @return 结果
     */
    int insertCentereventTEmergencyDangerprocess(CentereventTEmergencyDangerprocess centereventTEmergencyDangerprocess);

    int insertCentereventTEmergencyDangerprocess(CentereventTEmergencyDanger centereventTEmergencyDanger);

    /**
     * 修改隐患处理过程
     *
     * @param centereventTEmergencyDangerprocess 隐患处理过程
     * @return 结果
     */
    int updateCentereventTEmergencyDangerprocess(CentereventTEmergencyDangerprocess centereventTEmergencyDangerprocess);

    /**
     * 批量删除隐患处理过程
     *
     * @param pkIds 需要删除的隐患处理过程主键集合
     * @return 结果
     */
    int deleteCentereventTEmergencyDangerprocessByPkIds(String[] pkIds);

    /**
     * 获取经纬度热点地图
     * @param dayBody
     * @return
     */
    List getHeatMap(DayBody dayBody);
}
