package com.sooka.sponest.event.emergency.inspectionrecord.controller;

import com.ruoyi.common.core.domain.R;
import com.ruoyi.common.core.web.controller.BaseController;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.ruoyi.common.log.annotation.Log;
import com.ruoyi.common.log.enums.BusinessType;
import com.ruoyi.common.security.annotation.RequiresPermissions;
import com.sooka.sponest.event.emergency.inspectionrecord.domain.CentereventTEmergencyInspectionrecord;
import com.sooka.sponest.event.emergency.inspectionrecord.domain.CentereventTEmergencyInspectionrecordBdody;
import com.sooka.sponest.event.emergency.inspectionrecord.domain.CentereventTEmergencyInspectionrecordBody;
import com.sooka.sponest.event.emergency.inspectionrecord.domain.EmergencyInspectionrecordSelectBody;
import com.sooka.sponest.event.emergency.inspectionrecord.mapper.CentereventTEmergencyInspectionrecordMapper;
import com.sooka.sponest.event.emergency.inspectionrecord.service.ICentereventTEmergencyInspectionrecordService;
import com.sooka.sponest.event.utils.ExcelUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 巡检记录Controller
 *
 * @author ruoyi
 * @date 2022-07-20
 */
@RestController
@RequestMapping("/inspectionrecord")
public class CentereventTEmergencyInspectionrecordController extends BaseController {

    @Autowired
    private ICentereventTEmergencyInspectionrecordService centereventTEmergencyInspectionrecordService;

    @Autowired
    CentereventTEmergencyInspectionrecordMapper centereventTEmergencyInspectionrecordMapper;

    /**
     * 查询巡检记录列表
     */
    @RequiresPermissions("inspectionrecord:inspectionrecord:list")
    @GetMapping("/list")
    public TableDataInfo list(CentereventTEmergencyInspectionrecord centereventTEmergencyInspectionrecord) {
        startPage();
        List<CentereventTEmergencyInspectionrecord> list = centereventTEmergencyInspectionrecordService.selectCentereventTEmergencyInspectionrecordList(centereventTEmergencyInspectionrecord);
        return getDataTable(list);
    }

    /**
     * 查询巡检记录列表(手机端)
     */
    @PostMapping("/appSelectRecord")
    public R<List<CentereventTEmergencyInspectionrecord>> selectRecord(@RequestBody CentereventTEmergencyInspectionrecord centereventTEmergencyInspectionrecord) {
        return R.ok(centereventTEmergencyInspectionrecordService.selectCentereventTEmergencyInspectionrecordList(centereventTEmergencyInspectionrecord));
    }

    /**
     * 导出巡检记录列表
     */
    @RequiresPermissions("inspectionrecord:inspectionrecord:export")
    @Log(title = "巡检记录", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, CentereventTEmergencyInspectionrecord centereventTEmergencyInspectionrecord) {
        List<CentereventTEmergencyInspectionrecord> list = centereventTEmergencyInspectionrecordService.selectCentereventTEmergencyInspectionrecordList(centereventTEmergencyInspectionrecord);
        ExcelUtil<CentereventTEmergencyInspectionrecord> util = new ExcelUtil<>(CentereventTEmergencyInspectionrecord.class);
        util.exportExcel(response, list, "巡检记录数据");
    }

    /**
     * 获取巡检记录详细信息
     */
//    @RequiresPermissions("inspectionrecord:inspectionrecord:query")
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") String id) {
        return AjaxResult.success(centereventTEmergencyInspectionrecordService.selectCentereventTEmergencyInspectionrecordById(id));
    }

    /**
     * 新增巡检记录
     */
    @RequiresPermissions("inspectionrecord:inspectionrecord:add")
    @Log(title = "巡检记录", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody CentereventTEmergencyInspectionrecord centereventTEmergencyInspectionrecord) {
        return toAjax(centereventTEmergencyInspectionrecordService.insertCentereventTEmergencyInspectionrecord(centereventTEmergencyInspectionrecord));
    }

    @PostMapping("/insert")
    public void insert(@RequestBody CentereventTEmergencyInspectionrecord centereventTEmergencyInspectionrecord) {
        centereventTEmergencyInspectionrecordMapper.insertCentereventTEmergencyInspectionrecord(centereventTEmergencyInspectionrecord);
    }

    @PostMapping("addCordApp")
    public AjaxResult addCordApp(@RequestBody CentereventTEmergencyInspectionrecord centereventTEmergencyInspectionrecord) {
        return toAjax(centereventTEmergencyInspectionrecordService.insertCentereventTEmergencyInspectionrecord(centereventTEmergencyInspectionrecord));
    }

    /**
     * 修改巡检记录
     */
    @RequiresPermissions("inspectionrecord:inspectionrecord:edit")
    @Log(title = "巡检记录", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody CentereventTEmergencyInspectionrecord centereventTEmergencyInspectionrecord) {
        return toAjax(centereventTEmergencyInspectionrecordService.updateCentereventTEmergencyInspectionrecord(centereventTEmergencyInspectionrecord));
    }

    @PostMapping("/updateInspectionrecord")
    public void updateInspectionrecord(@RequestBody CentereventTEmergencyInspectionrecord centereventTEmergencyInspectionrecord) {
        centereventTEmergencyInspectionrecordMapper.updateCentereventTEmergencyInspectionrecord(centereventTEmergencyInspectionrecord);
    }

    /**
     * 删除巡检记录
     */
    @RequiresPermissions("inspectionrecord:inspectionrecord:remove")
    @Log(title = "巡检记录", businessType = BusinessType.DELETE)
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable String[] ids) {
        return toAjax(centereventTEmergencyInspectionrecordService.deleteCentereventTEmergencyInspectionrecordByIds(ids));
    }


    @PostMapping("/insertCentereventTEmergencyInspectionrecordMessage")
    public R insertCentereventTEmergencyInspectionrecordMessage(@RequestBody CentereventTEmergencyInspectionrecordBody list) {
        CentereventTEmergencyInspectionrecord centereventTEmergencyInspectionrecord = centereventTEmergencyInspectionrecordService.insertCentereventTEmergencyInspectionrecordMessage(list.getList());
        return R.ok(centereventTEmergencyInspectionrecord.getId());
    }

    /**
     * 手机端巡查记录查询
     *
     * @param id
     * @return
     */
    @PostMapping("/selectCentereventTEmergencyInspectionrecordMessageList")
    public R selectCentereventTEmergencyInspectionrecordMessageList(@RequestBody CentereventTEmergencyInspectionrecordBdody id) {
        EmergencyInspectionrecordSelectBody emergencyInspectionrecordSelectBody = new EmergencyInspectionrecordSelectBody();
        emergencyInspectionrecordSelectBody.setId(id.getId());
        List<CentereventTEmergencyInspectionrecordBdody> centereventTEmergencyInspectionrecord = centereventTEmergencyInspectionrecordService.selectCentereventTEmergencyInspectionrecordMessageList2(emergencyInspectionrecordSelectBody);
        return R.ok(centereventTEmergencyInspectionrecord);
    }

    /**
     * 获取应急工作情况
     *
     * @param emergencyInspectionrecordSelectBody
     * @return
     */
    @GetMapping("/selectEmergencyList")
    public AjaxResult selectEmergencyList(EmergencyInspectionrecordSelectBody emergencyInspectionrecordSelectBody) {
        return AjaxResult.success(centereventTEmergencyInspectionrecordService.selectEmergencyList(emergencyInspectionrecordSelectBody));
    }
}
