package com.sooka.sponest.event.emergency.inspectionrecord.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 巡检记录对象 centerevent_t_emergency_inspectionrecord
 *
 * @author ruoyi
 * @date 2022-07-20
 */
public class CentereventTEmergencyInspectionrecord extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    private String id;

    /**
     * 删除人
     */
    private String deleteBy;

    /**
     * 删除时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date deleteTime;

    /**
     * 数据状态
     */
    private String dataStatus;

    /**
     * 被巡检企业
     */
    private String enterpriseId;

    /**
     * 企业名称
     */
    @Excel(name = "企业名称")
    private String enterpriseName;

    /**
     * 巡检时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "巡检时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date inspectionTime;

    /**
     * 巡检人
     */
    private Long userId;

    /**
     * 巡检人名称
     */
    @Excel(name = "巡检人")
    private String userName;

    /**
     * 是否有隐患(0-无 1-有)
     */
    @Excel(name = "是否有隐患", readConverterExp = "0=无,1=有")
    private String isHavedanger;

    /**
     * 经度
     */
    @Excel(name = "经度")
    private String longitude;

    /**
     * 纬度
     */
    @Excel(name = "纬度")
    private String latitude;

    /**
     * 隐患ID
     */
    private String dangerId;

    /**
     * $column.columnComment
     */
    private Long owndeptid;

    /**
     * 数据所属部门(政或党的id)
     */
    private Long deptId;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setDeleteBy(String deleteBy) {
        this.deleteBy = deleteBy;
    }

    public String getDeleteBy() {
        return deleteBy;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDataStatus(String dataStatus) {
        this.dataStatus = dataStatus;
    }

    public String getDataStatus() {
        return dataStatus;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setInspectionTime(Date inspectionTime) {
        this.inspectionTime = inspectionTime;
    }

    public Date getInspectionTime() {
        return inspectionTime;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserName() {
        return userName;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setIsHavedanger(String isHavedanger) {
        this.isHavedanger = isHavedanger;
    }

    public String getIsHavedanger() {
        return isHavedanger;
    }

    public void setDangerId(String dangerId) {
        this.dangerId = dangerId;
    }

    public String getDangerId() {
        return dangerId;
    }

    public void setOwndeptid(Long owndeptid) {
        this.owndeptid = owndeptid;
    }

    public Long getOwndeptid() {
        return owndeptid;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("deleteBy", getDeleteBy())
                .append("deleteTime", getDeleteTime())
                .append("dataStatus", getDataStatus())
                .append("enterpriseId", getEnterpriseId())
                .append("enterpriseName", getEnterpriseName())
                .append("inspectionTime", getInspectionTime())
                .append("userId", getUserId())
                .append("userName", getUserName())
                .append("longitude", getLongitude())
                .append("latitude", getLatitude())
                .append("isHavedanger", getIsHavedanger())
                .append("dangerId", getDangerId())
                .append("owndeptid", getOwndeptid())
                .append("deptId", getDeptId())
                .toString();
    }
}
