package com.sooka.sponest.event.emergency.inspectionrecord.service.impl;

import com.ruoyi.common.core.domain.R;
import com.ruoyi.common.core.utils.DateUtils;
import com.ruoyi.common.core.utils.StringUtils;
import com.ruoyi.common.core.utils.uuid.IdUtils;
import com.ruoyi.common.datascope.annotation.DataScopeMutiDept;
import com.ruoyi.common.datascope.base.service.BaseService;
import com.ruoyi.common.security.utils.SecurityUtils;
import com.sooka.sponest.event.emergency.inspectionrecord.domain.AttachBean;
import com.sooka.sponest.event.emergency.inspectionrecord.domain.CentereventTEmergencyInspectionrecord;
import com.sooka.sponest.event.emergency.inspectionrecord.domain.CentereventTEmergencyInspectionrecordBdody;
import com.sooka.sponest.event.emergency.inspectionrecord.domain.EmergencyInspectionrecordSelectBody;
import com.sooka.sponest.event.emergency.inspectionrecord.mapper.CentereventTEmergencyInspectionrecordMapper;
import com.sooka.sponest.event.emergency.inspectionrecord.service.ICentereventTEmergencyInspectionrecordService;
import com.sooka.sponest.event.emergency.inspectionrecorddetail.domain.CentereventTEmergencyInspectionrecorddetail;
import com.sooka.sponest.event.emergency.inspectionrecorddetail.mapper.CentereventTEmergencyInspectionrecorddetailMapper;
import com.sooka.sponest.event.remoteapi.RemoteDataService;
import com.sooka.sponest.event.remoteapi.domain.CenterdataTAttach;
import com.sooka.sponest.event.remoteapi.domain.CenterdataTEmergencyInspectionitem;
import com.sooka.sponest.event.remoteapi.domain.CenterdataTEmergencyInspectiontype;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * 巡检记录Service业务层处理
 *
 * @author ruoyi
 * @date 2022-07-20
 */
@Service
public class CentereventTEmergencyInspectionrecordServiceImpl extends BaseService implements ICentereventTEmergencyInspectionrecordService {

    @Autowired
    private CentereventTEmergencyInspectionrecordMapper centereventTEmergencyInspectionrecordMapper;
    @Autowired
    private CentereventTEmergencyInspectionrecorddetailMapper centereventTEmergencyInspectionrecorddetailMapper;
    @Autowired
    private RemoteDataService remoteDataService;

    /**
     * 查询巡检记录
     *
     * @param id 巡检记录主键
     * @return 巡检记录
     */
    @Override
    public CentereventTEmergencyInspectionrecord selectCentereventTEmergencyInspectionrecordById(String id) {
        return centereventTEmergencyInspectionrecordMapper.selectCentereventTEmergencyInspectionrecordById(id);
    }

    /**
     * 查询巡检记录列表
     *
     * @param centereventTEmergencyInspectionrecord 巡检记录
     * @return 巡检记录
     */
    @Override
    public List<CentereventTEmergencyInspectionrecord> selectCentereventTEmergencyInspectionrecordList(CentereventTEmergencyInspectionrecord centereventTEmergencyInspectionrecord) {
        return centereventTEmergencyInspectionrecordMapper.selectCentereventTEmergencyInspectionrecordList(centereventTEmergencyInspectionrecord);
    }

    /**
     * 新增巡检记录
     *
     * @param centereventTEmergencyInspectionrecord 巡检记录
     * @return 结果
     */
    @Override
    public int insertCentereventTEmergencyInspectionrecord(CentereventTEmergencyInspectionrecord centereventTEmergencyInspectionrecord) {
        centereventTEmergencyInspectionrecord.setCreateTime(DateUtils.getNowDate());
        return centereventTEmergencyInspectionrecordMapper.insertCentereventTEmergencyInspectionrecord(centereventTEmergencyInspectionrecord);
    }

    /**
     * 修改巡检记录
     *
     * @param centereventTEmergencyInspectionrecord 巡检记录
     * @return 结果
     */
    @Override
    public int updateCentereventTEmergencyInspectionrecord(CentereventTEmergencyInspectionrecord centereventTEmergencyInspectionrecord) {
        centereventTEmergencyInspectionrecord.setUpdateTime(DateUtils.getNowDate());
        return centereventTEmergencyInspectionrecordMapper.updateCentereventTEmergencyInspectionrecord(centereventTEmergencyInspectionrecord);
    }

    /**
     * 批量删除巡检记录
     *
     * @param ids 需要删除的巡检记录主键
     * @return 结果
     */
    @Override
    public int deleteCentereventTEmergencyInspectionrecordByIds(String[] ids) {
        return centereventTEmergencyInspectionrecordMapper.deleteCentereventTEmergencyInspectionrecordByIds(ids);
    }

    /**
     * 删除巡检记录信息
     *
     * @param id 巡检记录主键
     * @return 结果
     */
    @Override
    public int deleteCentereventTEmergencyInspectionrecordById(String id) {
        return centereventTEmergencyInspectionrecordMapper.deleteCentereventTEmergencyInspectionrecordById(id);
    }

    @Override
    public CentereventTEmergencyInspectionrecord insertCentereventTEmergencyInspectionrecordMessage(List<CentereventTEmergencyInspectionrecordBdody> centereventTEmergencyInspectionrecordBdodyList) {
        if (StringUtils.isEmpty(centereventTEmergencyInspectionrecordBdodyList)) {
            return new CentereventTEmergencyInspectionrecord();
        }
        CentereventTEmergencyInspectionrecord centereventTEmergencyInspectionrecord = new CentereventTEmergencyInspectionrecord();
        BeanUtils.copyProperties(centereventTEmergencyInspectionrecordBdodyList.get(0), centereventTEmergencyInspectionrecord);
        centereventTEmergencyInspectionrecord.setCreateTime(DateUtils.getNowDate());
        centereventTEmergencyInspectionrecord.setId(IdUtils.fastUUID());
        centereventTEmergencyInspectionrecordBdodyList.forEach(centereventTEmergencyInspectionrecordBdody -> {
            CentereventTEmergencyInspectionrecorddetail centereventTEmergencyInspectionrecorddetail = new CentereventTEmergencyInspectionrecorddetail();
            centereventTEmergencyInspectionrecorddetail.setInspectionitemId(centereventTEmergencyInspectionrecordBdody.getId());
            centereventTEmergencyInspectionrecorddetail.setInspectionitemName(centereventTEmergencyInspectionrecordBdody.getItemName());
            centereventTEmergencyInspectionrecorddetail.setCreateTime(DateUtils.getNowDate());
            centereventTEmergencyInspectionrecorddetail.setInspectionitemDesc(centereventTEmergencyInspectionrecordBdody.getContent());
            centereventTEmergencyInspectionrecorddetail.setInspectionrecordId(centereventTEmergencyInspectionrecord.getId());
            centereventTEmergencyInspectionrecorddetail.setCreateBy(centereventTEmergencyInspectionrecordBdody.getUserId());
            centereventTEmergencyInspectionrecorddetail.setInspectionResult(String.valueOf((centereventTEmergencyInspectionrecordBdody.isInspectionitemCheck() ? 1 : 0)));
            centereventTEmergencyInspectionrecorddetail.setId(IdUtils.fastUUID());
            if (null != centereventTEmergencyInspectionrecordBdody.getAttachs()) {
                centereventTEmergencyInspectionrecordBdody.getAttachs().forEach(attachBean -> {
                    CenterdataTAttach centerdataTAttach = new CenterdataTAttach();
                    centerdataTAttach.setAttachPath(attachBean.getWebUrl());
                    centerdataTAttach.setBusSource("APP");
                    centerdataTAttach.setFileName(attachBean.getUrl());
                    centerdataTAttach.setBusId(centereventTEmergencyInspectionrecorddetail.getId());
                    remoteDataService.insertAttach(centerdataTAttach);
                });
                centereventTEmergencyInspectionrecorddetail.setDataStatus("1");
            }
            centereventTEmergencyInspectionrecorddetailMapper.insertCentereventTEmergencyInspectionrecorddetail(centereventTEmergencyInspectionrecorddetail);
        });
        centereventTEmergencyInspectionrecord.setUserId(Long.parseLong(centereventTEmergencyInspectionrecordBdodyList.get(0).getUserId()));
        centereventTEmergencyInspectionrecord.setUserName(centereventTEmergencyInspectionrecord.getUserName());
        centereventTEmergencyInspectionrecord.setInspectionTime(DateUtils.getNowDate());
        centereventTEmergencyInspectionrecord.setDataStatus("1");
        centereventTEmergencyInspectionrecord.setEnterpriseId(centereventTEmergencyInspectionrecordBdodyList.get(0).getEnterpriseId());
        centereventTEmergencyInspectionrecordMapper.insertCentereventTEmergencyInspectionrecord(centereventTEmergencyInspectionrecord);
        return centereventTEmergencyInspectionrecord;
    }

    @Override
    public List<CentereventTEmergencyInspectionrecordBdody> selectCentereventTEmergencyInspectionrecordMessageList(String id) {
        CentereventTEmergencyInspectionrecorddetail centereventTEmergencyInspectionrecorddetail = new CentereventTEmergencyInspectionrecorddetail();
        centereventTEmergencyInspectionrecorddetail.setInspectionrecordId(id);
        List<CentereventTEmergencyInspectionrecorddetail> centereventTEmergencyInspectionrecorddetailList = centereventTEmergencyInspectionrecorddetailMapper.selectCentereventTEmergencyInspectionrecorddetailList(centereventTEmergencyInspectionrecorddetail);
        List<CentereventTEmergencyInspectionrecordBdody> centereventTEmergencyInspectionrecordBdodyList = new ArrayList<>();
        CentereventTEmergencyInspectionrecord centereventTEmergencyInspectionrecord = centereventTEmergencyInspectionrecordMapper.selectCentereventTEmergencyInspectionrecordById(id);
        if (null != centereventTEmergencyInspectionrecorddetailList) {
            centereventTEmergencyInspectionrecorddetailList.forEach(centereventTEmergencyInspectionrecorddetail1 -> {
                CentereventTEmergencyInspectionrecordBdody centereventTEmergencyInspectionrecordBdody = new CentereventTEmergencyInspectionrecordBdody();
                BeanUtils.copyProperties(centereventTEmergencyInspectionrecorddetail1, centereventTEmergencyInspectionrecordBdody);
                centereventTEmergencyInspectionrecordBdody.setEnterpriseName(centereventTEmergencyInspectionrecord.getEnterpriseName());
                centereventTEmergencyInspectionrecordBdody.setEnterpriseId(centereventTEmergencyInspectionrecord.getEnterpriseId());
                R<List<CenterdataTAttach>> r = remoteDataService.urlAttch(centereventTEmergencyInspectionrecorddetail1.getId());
                List<AttachBean> attachs = new ArrayList<>();
                if (null != r.getData()) {
                    r.getData().forEach(centerdataTAttach -> {
                        AttachBean attachBean = new AttachBean();
                        attachBean.setUrl(centerdataTAttach.getFileName());
                        attachBean.setWebUrl(centerdataTAttach.getAttachPath());
                        attachs.add(attachBean);
                    });
                }
                centereventTEmergencyInspectionrecordBdody.setUserId(centereventTEmergencyInspectionrecord.getUserId().toString());
                centereventTEmergencyInspectionrecordBdody.setUserName(centereventTEmergencyInspectionrecord.getUserName());
                centereventTEmergencyInspectionrecordBdody.setAttachs(attachs);
                if (null != centereventTEmergencyInspectionrecorddetail1.getInspectionResult()) {
                    centereventTEmergencyInspectionrecordBdody.setInspectionitemCheck(centereventTEmergencyInspectionrecorddetail1.getInspectionResult().equals("1") ? true : false);
                }
                centereventTEmergencyInspectionrecordBdody.setItemName(centereventTEmergencyInspectionrecorddetail1.getInspectionitemName());
                centereventTEmergencyInspectionrecordBdody.setImspectiontypeId(centereventTEmergencyInspectionrecorddetail1.getId());
                R<CenterdataTEmergencyInspectionitem> centerdataTEmergencyInspectiontypeR = remoteDataService.getItemInfo(centereventTEmergencyInspectionrecorddetail1.getInspectionitemId());
                if (null != centerdataTEmergencyInspectiontypeR.getData()) {
                    centereventTEmergencyInspectionrecordBdody.setItemName(centerdataTEmergencyInspectiontypeR.getData().getImspectiontypeName());
                    R<CenterdataTEmergencyInspectiontype> centerdataTEmergencyInspectiontypeR2 = remoteDataService.getTypeInfo(centerdataTEmergencyInspectiontypeR.getData().getImspectiontypeId());
                    if (null != centerdataTEmergencyInspectiontypeR2.getData()) {
                        centereventTEmergencyInspectionrecordBdody.setImspectiontypeName(centerdataTEmergencyInspectiontypeR2.getData().getInspectionName());
                        R<CenterdataTEmergencyInspectiontype> centerdataTEmergencyInspectiontypeR3 = remoteDataService.getTypeInfo(centerdataTEmergencyInspectiontypeR2.getData().getParentId());
                        if (null != centerdataTEmergencyInspectiontypeR3.getData()) {
                            centereventTEmergencyInspectionrecordBdody.setImspectiontypefirstName(centerdataTEmergencyInspectiontypeR3.getData().getInspectionName());
                        }
                    }
                }
                centereventTEmergencyInspectionrecordBdodyList.add(centereventTEmergencyInspectionrecordBdody);
            });
        }
        return centereventTEmergencyInspectionrecordBdodyList;
    }

    @Override
    public List<CentereventTEmergencyInspectionrecordBdody> selectCentereventTEmergencyInspectionrecordMessageList2(EmergencyInspectionrecordSelectBody emergencyInspectionrecordSelectBody) {
        setSookaDataBase(emergencyInspectionrecordSelectBody);
        List<CentereventTEmergencyInspectionrecordBdody> centereventTEmergencyInspectionrecordBdodyList = centereventTEmergencyInspectionrecordMapper.selectCentereventTEmergencyInspectionrecordMessageList(emergencyInspectionrecordSelectBody);
        centereventTEmergencyInspectionrecordBdodyList.forEach(centereventTEmergencyInspectionrecordBdody -> {
            R<List<CenterdataTAttach>> r = remoteDataService.urlAttch(centereventTEmergencyInspectionrecordBdody.getId());
            r.getData().forEach(centerdataTAttach -> {
                AttachBean attachBean = new AttachBean();
                attachBean.setWebUrl(centerdataTAttach.getAttachPath());
                attachBean.setUrl(centerdataTAttach.getFileName());
                centereventTEmergencyInspectionrecordBdody.getAttachs().add(attachBean);
            });
        });
        return centereventTEmergencyInspectionrecordBdodyList;
    }

    @DataScopeMutiDept(deptAlias = "d", userAlias = "u")
    @Override
    public List selectEmergencyList(EmergencyInspectionrecordSelectBody emergencyInspectionrecordSelectBody) {
        emergencyInspectionrecordSelectBody.setId(SecurityUtils.getLoginUser().getSysUser().getDeptId().toString());
        setSookaDataBase(emergencyInspectionrecordSelectBody);
        return centereventTEmergencyInspectionrecordMapper.selectEmergencyList(emergencyInspectionrecordSelectBody);
    }
}
