package com.sooka.sponest.event.emergency.inspectionrecorddetail.controller;

import com.ruoyi.common.core.domain.R;
import com.ruoyi.common.core.utils.poi.ExcelUtil;
import com.ruoyi.common.core.web.controller.BaseController;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.ruoyi.common.log.annotation.Log;
import com.ruoyi.common.log.enums.BusinessType;
import com.ruoyi.common.security.annotation.RequiresPermissions;
import com.sooka.sponest.event.emergency.inspectionrecorddetail.domain.CentereventTEmergencyInspectionrecorddetail;
import com.sooka.sponest.event.emergency.inspectionrecorddetail.domain.CentereventTEmergencyInspectionrecorddetailBody;
import com.sooka.sponest.event.emergency.inspectionrecorddetail.mapper.CentereventTEmergencyInspectionrecorddetailMapper;
import com.sooka.sponest.event.emergency.inspectionrecorddetail.service.ICentereventTEmergencyInspectionrecorddetailService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 巡检记录明细Controller
 *
 * @author ruoyi
 * @date 2022-07-20
 */
@RestController
@RequestMapping("/inspectionrecorddetail")
public class CentereventTEmergencyInspectionrecorddetailController extends BaseController {
    @Autowired
    private ICentereventTEmergencyInspectionrecorddetailService centereventTEmergencyInspectionrecorddetailService;

    @Autowired
    CentereventTEmergencyInspectionrecorddetailMapper centereventTEmergencyInspectionrecorddetailMapper;

    /**
     * 查询巡检记录明细列表
     */
    @RequiresPermissions("inspectionrecorddetail:inspectionrecorddetail:list")
    @GetMapping("/list")
    public TableDataInfo list(CentereventTEmergencyInspectionrecorddetail centereventTEmergencyInspectionrecorddetail) {
        startPage();
        List<CentereventTEmergencyInspectionrecorddetail> list = centereventTEmergencyInspectionrecorddetailService.selectCentereventTEmergencyInspectionrecorddetailList(centereventTEmergencyInspectionrecorddetail);
        return getDataTable(list);
    }

    @PostMapping("/selectDetail")
    public R<List<CentereventTEmergencyInspectionrecorddetail>> selectDetail(@RequestBody CentereventTEmergencyInspectionrecorddetail centereventTEmergencyInspectionrecorddetail) {
        List<CentereventTEmergencyInspectionrecorddetail> list = centereventTEmergencyInspectionrecorddetailService.selectCentereventTEmergencyInspectionrecorddetailList(centereventTEmergencyInspectionrecorddetail);
        return R.ok(list);
    }

    /**
     * 导出巡检记录明细列表
     */
    @RequiresPermissions("inspectionrecorddetail:inspectionrecorddetail:export")
    @Log(title = "巡检记录明细", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, CentereventTEmergencyInspectionrecorddetail centereventTEmergencyInspectionrecorddetail) {
        List<CentereventTEmergencyInspectionrecorddetail> list = centereventTEmergencyInspectionrecorddetailService.selectCentereventTEmergencyInspectionrecorddetailList(centereventTEmergencyInspectionrecorddetail);
        ExcelUtil<CentereventTEmergencyInspectionrecorddetail> util = new ExcelUtil<>(CentereventTEmergencyInspectionrecorddetail.class);
        util.exportExcel(response, list, "巡检记录明细数据");
    }

    /**
     * 获取巡检记录明细详细信息
     */
    @RequiresPermissions("inspectionrecorddetail:inspectionrecorddetail:query")
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") String id) {
        return AjaxResult.success(centereventTEmergencyInspectionrecorddetailService.selectCentereventTEmergencyInspectionrecorddetailById(id));
    }

    /**
     * 新增巡检记录明细
     */
    @RequiresPermissions("inspectionrecorddetail:inspectionrecorddetail:add")
    @Log(title = "巡检记录明细", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody CentereventTEmergencyInspectionrecorddetail centereventTEmergencyInspectionrecorddetail) {
        return toAjax(centereventTEmergencyInspectionrecorddetailService.insertCentereventTEmergencyInspectionrecorddetail(centereventTEmergencyInspectionrecorddetail));
    }

    @PostMapping("/insertDetail")
    public void insertDetail(@RequestBody CentereventTEmergencyInspectionrecorddetail centereventTEmergencyInspectionrecorddetail) {
        centereventTEmergencyInspectionrecorddetailMapper.insertCentereventTEmergencyInspectionrecorddetail(centereventTEmergencyInspectionrecorddetail);
    }

    /**
     * 修改巡检记录明细
     */
    @RequiresPermissions("inspectionrecorddetail:inspectionrecorddetail:edit")
    @Log(title = "巡检记录明细", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody CentereventTEmergencyInspectionrecorddetail centereventTEmergencyInspectionrecorddetail) {
        return toAjax(centereventTEmergencyInspectionrecorddetailService.updateCentereventTEmergencyInspectionrecorddetail(centereventTEmergencyInspectionrecorddetail));
    }

    /**
     * 删除巡检记录明细
     */
    @RequiresPermissions("inspectionrecorddetail:inspectionrecorddetail:remove")
    @Log(title = "巡检记录明细", businessType = BusinessType.DELETE)
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable String[] ids) {
        return toAjax(centereventTEmergencyInspectionrecorddetailService.deleteCentereventTEmergencyInspectionrecorddetailByIds(ids));
    }

   @GetMapping("/selectAdoptionList")
    public AjaxResult selectAdoptionList(CentereventTEmergencyInspectionrecorddetailBody centereventTEmergencyInspectionrecorddetailBody) {
        return AjaxResult.success(centereventTEmergencyInspectionrecorddetailService.selectAdoptionList(centereventTEmergencyInspectionrecorddetailBody));
    }
    @GetMapping("/selectHightAdoptionList")
    public AjaxResult selectHightAdoptionList(CentereventTEmergencyInspectionrecorddetailBody centereventTEmergencyInspectionrecorddetailBody) {
        return AjaxResult.success(centereventTEmergencyInspectionrecorddetailService.selectHightAdoptionList(centereventTEmergencyInspectionrecorddetailBody));
    }
}

