package com.sooka.sponest.event.emergency.inspectionrecorddetail.service.impl;

import com.ruoyi.common.core.utils.DateUtils;
import com.ruoyi.common.datascope.annotation.DataScopeMutiDept;
import com.ruoyi.common.datascope.base.service.BaseService;
import com.sooka.sponest.event.emergency.inspectionrecorddetail.domain.CentereventTEmergencyInspectionrecorddetail;
import com.sooka.sponest.event.emergency.inspectionrecorddetail.domain.CentereventTEmergencyInspectionrecorddetailBody;
import com.sooka.sponest.event.emergency.inspectionrecorddetail.mapper.CentereventTEmergencyInspectionrecorddetailMapper;
import com.sooka.sponest.event.emergency.inspectionrecorddetail.service.ICentereventTEmergencyInspectionrecorddetailService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 巡检记录明细Service业务层处理
 *
 * @author ruoyi
 * @date 2022-07-20
 */
@Service
public class CentereventTEmergencyInspectionrecorddetailServiceImpl extends BaseService implements ICentereventTEmergencyInspectionrecorddetailService {

    @Autowired
    private CentereventTEmergencyInspectionrecorddetailMapper centereventTEmergencyInspectionrecorddetailMapper;

    /**
     * 查询巡检记录明细
     *
     * @param id 巡检记录明细主键
     * @return 巡检记录明细
     */
    @Override
    public CentereventTEmergencyInspectionrecorddetail selectCentereventTEmergencyInspectionrecorddetailById(String id) {
        return centereventTEmergencyInspectionrecorddetailMapper.selectCentereventTEmergencyInspectionrecorddetailById(id);
    }

    /**
     * 查询巡检记录明细列表
     *
     * @param centereventTEmergencyInspectionrecorddetail 巡检记录明细
     * @return 巡检记录明细
     */
    @Override
    public List<CentereventTEmergencyInspectionrecorddetail> selectCentereventTEmergencyInspectionrecorddetailList(CentereventTEmergencyInspectionrecorddetail centereventTEmergencyInspectionrecorddetail) {
        return centereventTEmergencyInspectionrecorddetailMapper.selectCentereventTEmergencyInspectionrecorddetailList(centereventTEmergencyInspectionrecorddetail);
    }

    /**
     * 新增巡检记录明细
     *
     * @param centereventTEmergencyInspectionrecorddetail 巡检记录明细
     * @return 结果
     */
    @Override
    public int insertCentereventTEmergencyInspectionrecorddetail(CentereventTEmergencyInspectionrecorddetail centereventTEmergencyInspectionrecorddetail) {
        centereventTEmergencyInspectionrecorddetail.setCreateTime(DateUtils.getNowDate());
        return centereventTEmergencyInspectionrecorddetailMapper.insertCentereventTEmergencyInspectionrecorddetail(centereventTEmergencyInspectionrecorddetail);
    }

    /**
     * 修改巡检记录明细
     *
     * @param centereventTEmergencyInspectionrecorddetail 巡检记录明细
     * @return 结果
     */
    @Override
    public int updateCentereventTEmergencyInspectionrecorddetail(CentereventTEmergencyInspectionrecorddetail centereventTEmergencyInspectionrecorddetail) {
        centereventTEmergencyInspectionrecorddetail.setUpdateTime(DateUtils.getNowDate());
        return centereventTEmergencyInspectionrecorddetailMapper.updateCentereventTEmergencyInspectionrecorddetail(centereventTEmergencyInspectionrecorddetail);
    }

    /**
     * 批量删除巡检记录明细
     *
     * @param ids 需要删除的巡检记录明细主键
     * @return 结果
     */
    @Override
    public int deleteCentereventTEmergencyInspectionrecorddetailByIds(String[] ids) {
        return centereventTEmergencyInspectionrecorddetailMapper.deleteCentereventTEmergencyInspectionrecorddetailByIds(ids);
    }

    /**
     * 删除巡检记录明细信息
     *
     * @param id 巡检记录明细主键
     * @return 结果
     */
    @Override
    public int deleteCentereventTEmergencyInspectionrecorddetailById(String id) {
        return centereventTEmergencyInspectionrecorddetailMapper.deleteCentereventTEmergencyInspectionrecorddetailById(id);
    }

    /**
     * 获取行业巡检通不通过详情
     *
     * @param centereventTEmergencyInspectionrecorddetailBody
     * @return
     */
    @DataScopeMutiDept(deptAlias = "z", userAlias = "u")
    @Override
    public List selectAdoptionList(CentereventTEmergencyInspectionrecorddetailBody centereventTEmergencyInspectionrecorddetailBody) {
        setSookaDataBase(centereventTEmergencyInspectionrecorddetailBody);
        return centereventTEmergencyInspectionrecorddetailMapper.selectAdoptionList(centereventTEmergencyInspectionrecorddetailBody);
    }

    @DataScopeMutiDept(deptAlias = "z", userAlias = "u")
    @Override
    public List selectHightAdoptionList(CentereventTEmergencyInspectionrecorddetailBody centereventTEmergencyInspectionrecorddetailBody) {
        setSookaDataBase(centereventTEmergencyInspectionrecorddetailBody);
        return centereventTEmergencyInspectionrecorddetailMapper.selectHightAdoptionList(centereventTEmergencyInspectionrecorddetailBody);
    }
}
