package com.sooka.sponest.event.emergency.patroloverdue.controller;

import com.ruoyi.common.core.utils.poi.ExcelUtil;
import com.ruoyi.common.core.web.controller.BaseController;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.ruoyi.common.log.annotation.Log;
import com.ruoyi.common.log.enums.BusinessType;
import com.ruoyi.common.security.annotation.RequiresPermissions;
import com.sooka.sponest.event.emergency.patroloverdue.domain.CentereventTEmergencyPatroloverdue;
import com.sooka.sponest.event.emergency.patroloverdue.service.ICentereventTEmergencyPatroloverdueService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 巡更逾期Controller
 *
 * @author ruoyi
 * @date 2022-07-20
 */
@RestController
@RequestMapping("/patroloverdue")
public class CentereventTEmergencyPatroloverdueController extends BaseController
{
    @Autowired
    private ICentereventTEmergencyPatroloverdueService centereventTEmergencyPatroloverdueService;

    /**
     * 查询巡更逾期列表
     */
    @RequiresPermissions("patroloverdue:patroloverdue:list")
    @GetMapping("/list")
    public TableDataInfo list(CentereventTEmergencyPatroloverdue centereventTEmergencyPatroloverdue)
    {
        startPage();
        List<CentereventTEmergencyPatroloverdue> list = centereventTEmergencyPatroloverdueService.selectCentereventTEmergencyPatroloverdueList(centereventTEmergencyPatroloverdue);
        return getDataTable(list);
    }

    /**
     * 导出巡更逾期列表
     */
    @RequiresPermissions("patroloverdue:patroloverdue:export")
    @Log(title = "巡更逾期", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, CentereventTEmergencyPatroloverdue centereventTEmergencyPatroloverdue)
    {
        List<CentereventTEmergencyPatroloverdue> list = centereventTEmergencyPatroloverdueService.selectCentereventTEmergencyPatroloverdueList(centereventTEmergencyPatroloverdue);
        ExcelUtil<CentereventTEmergencyPatroloverdue> util = new ExcelUtil<>(CentereventTEmergencyPatroloverdue.class);
        util.exportExcel(response, list, "巡更逾期数据");
    }

    /**
     * 获取巡更逾期详细信息
     */
    @RequiresPermissions("patroloverdue:patroloverdue:query")
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") String id)
    {
        return AjaxResult.success(centereventTEmergencyPatroloverdueService.selectCentereventTEmergencyPatroloverdueById(id));
    }

    /**
     * 新增巡更逾期
     */
    @RequiresPermissions("patroloverdue:patroloverdue:add")
    @Log(title = "巡更逾期", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody CentereventTEmergencyPatroloverdue centereventTEmergencyPatroloverdue)
    {
        return toAjax(centereventTEmergencyPatroloverdueService.insertCentereventTEmergencyPatroloverdue(centereventTEmergencyPatroloverdue));
    }


    /**
     * 新增巡更逾期
     */
    @PostMapping(value = "addPatroloverdue")
    public AjaxResult addPatroloverdue(@RequestBody CentereventTEmergencyPatroloverdue centereventTEmergencyPatroloverdue)
    {
        return toAjax(centereventTEmergencyPatroloverdueService.insertCentereventTEmergencyPatroloverdue(centereventTEmergencyPatroloverdue));
    }

    /**
     * 修改巡更逾期
     */
    @RequiresPermissions("patroloverdue:patroloverdue:edit")
    @Log(title = "巡更逾期", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody CentereventTEmergencyPatroloverdue centereventTEmergencyPatroloverdue)
    {
        return toAjax(centereventTEmergencyPatroloverdueService.updateCentereventTEmergencyPatroloverdue(centereventTEmergencyPatroloverdue));
    }

    /**
     * 删除巡更逾期
     */
    @RequiresPermissions("patroloverdue:patroloverdue:remove")
    @Log(title = "巡更逾期", businessType = BusinessType.DELETE)
	@DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable String[] ids)
    {
        return toAjax(centereventTEmergencyPatroloverdueService.deleteCentereventTEmergencyPatroloverdueByIds(ids));
    }
}
