package com.sooka.sponest.event.emergency.patroloverdue.service.impl;

import com.ruoyi.common.core.utils.DateUtils;
import com.sooka.sponest.event.emergency.patroloverdue.domain.CentereventTEmergencyPatroloverdue;
import com.sooka.sponest.event.emergency.patroloverdue.mapper.CentereventTEmergencyPatroloverdueMapper;
import com.sooka.sponest.event.emergency.patroloverdue.service.ICentereventTEmergencyPatroloverdueService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 巡更逾期Service业务层处理
 *
 * @author ruoyi
 * @date 2022-07-20
 */
@Service
public class CentereventTEmergencyPatroloverdueServiceImpl implements ICentereventTEmergencyPatroloverdueService
{
    @Autowired
    private CentereventTEmergencyPatroloverdueMapper centereventTEmergencyPatroloverdueMapper;

    /**
     * 查询巡更逾期
     *
     * @param id 巡更逾期主键
     * @return 巡更逾期
     */
    @Override
    public CentereventTEmergencyPatroloverdue selectCentereventTEmergencyPatroloverdueById(String id)
    {
        return centereventTEmergencyPatroloverdueMapper.selectCentereventTEmergencyPatroloverdueById(id);
    }

    /**
     * 查询巡更逾期列表
     *
     * @param centereventTEmergencyPatroloverdue 巡更逾期
     * @return 巡更逾期
     */
    @Override
    public List<CentereventTEmergencyPatroloverdue> selectCentereventTEmergencyPatroloverdueList(CentereventTEmergencyPatroloverdue centereventTEmergencyPatroloverdue)
    {
        return centereventTEmergencyPatroloverdueMapper.selectCentereventTEmergencyPatroloverdueList(centereventTEmergencyPatroloverdue);
    }

    /**
     * 新增巡更逾期
     *
     * @param centereventTEmergencyPatroloverdue 巡更逾期
     * @return 结果
     */
    @Override
    public int insertCentereventTEmergencyPatroloverdue(CentereventTEmergencyPatroloverdue centereventTEmergencyPatroloverdue)
    {
        centereventTEmergencyPatroloverdue.setCreateTime(DateUtils.getNowDate());
        return centereventTEmergencyPatroloverdueMapper.insertCentereventTEmergencyPatroloverdue(centereventTEmergencyPatroloverdue);
    }

    /**
     * 修改巡更逾期
     *
     * @param centereventTEmergencyPatroloverdue 巡更逾期
     * @return 结果
     */
    @Override
    public int updateCentereventTEmergencyPatroloverdue(CentereventTEmergencyPatroloverdue centereventTEmergencyPatroloverdue)
    {
        centereventTEmergencyPatroloverdue.setUpdateTime(DateUtils.getNowDate());
        return centereventTEmergencyPatroloverdueMapper.updateCentereventTEmergencyPatroloverdue(centereventTEmergencyPatroloverdue);
    }

    /**
     * 批量删除巡更逾期
     *
     * @param ids 需要删除的巡更逾期主键
     * @return 结果
     */
    @Override
    public int deleteCentereventTEmergencyPatroloverdueByIds(String[] ids)
    {
        return centereventTEmergencyPatroloverdueMapper.deleteCentereventTEmergencyPatroloverdueByIds(ids);
    }

    /**
     * 删除巡更逾期信息
     *
     * @param id 巡更逾期主键
     * @return 结果
     */
    @Override
    public int deleteCentereventTEmergencyPatroloverdueById(String id)
    {
        return centereventTEmergencyPatroloverdueMapper.deleteCentereventTEmergencyPatroloverdueById(id);
    }
}
