package com.sooka.sponest.event.emergency.patrolrecord.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 巡更记录对象 centerevent_t_emergency_patrolrecord
 *
 * @author ruoyi
 * @date 2022-07-20
 */
public class CentereventTEmergencyPatrolrecord extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    private String id;

    /**
     * 删除人
     */
    private String deleteBy;

    /**
     * 删除时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date deleteTime;

    /**
     * 数据状态
     */
    private String dataStatus;

    /**
     * 巡更点ID
     */
    private String patrolpointId;

    /**
     * 巡更点名称
     */
    @Excel(name = "巡更点")
    private String patrolpointName;

    /**
     * 巡更点地址
     */
    private String patrolpointAddress;

    /**
     * 巡更时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "巡更时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date patrolTime;

    /**
     * 巡更人
     */
    private Long userId;

    /**
     * 巡更人姓名
     */
    @Excel(name = "巡更人")
    private String userName;

    /**
     * 经度
     */
    @Excel(name = "经度")
    private String longitude;

    /**
     * 纬度
     */
    @Excel(name = "纬度")
    private String latitude;

    /**
     * 巡更插入状态（正常插入、超期插入）
     */
    @Excel(name = "巡更插入状态", readConverterExp = "patrol_type1=正常插入,patrol_type2=超期插入")
    private String patrolInserttype;

    /**
     * 是否有隐患(0-没有，1-有)
     */
    @Excel(name = "是否有隐患", readConverterExp = "0=无,1=有")
    private String isHavedanger;

    /**
     * 隐患iD
     */
    private String dangerId;

    /**
     * $column.columnComment
     */
    private Long owndeptid;

    /**
     * 数据所属部门(政或党的id)
     */
    private Long deptId;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setDeleteBy(String deleteBy) {
        this.deleteBy = deleteBy;
    }

    public String getDeleteBy() {
        return deleteBy;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDataStatus(String dataStatus) {
        this.dataStatus = dataStatus;
    }

    public String getDataStatus() {
        return dataStatus;
    }

    public void setPatrolpointId(String patrolpointId) {
        this.patrolpointId = patrolpointId;
    }

    public String getPatrolpointId() {
        return patrolpointId;
    }

    public void setPatrolpointName(String patrolpointName) {
        this.patrolpointName = patrolpointName;
    }

    public String getPatrolpointName() {
        return patrolpointName;
    }

    public void setPatrolpointAddress(String patrolpointAddress) {
        this.patrolpointAddress = patrolpointAddress;
    }

    public String getPatrolpointAddress() {
        return patrolpointAddress;
    }

    public void setPatrolTime(Date patrolTime) {
        this.patrolTime = patrolTime;
    }

    public Date getPatrolTime() {
        return patrolTime;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserName() {
        return userName;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setPatrolInserttype(String patrolInserttype) {
        this.patrolInserttype = patrolInserttype;
    }

    public String getPatrolInserttype() {
        return patrolInserttype;
    }

    public void setIsHavedanger(String isHavedanger) {
        this.isHavedanger = isHavedanger;
    }

    public String getIsHavedanger() {
        return isHavedanger;
    }

    public void setDangerId(String dangerId) {
        this.dangerId = dangerId;
    }

    public String getDangerId() {
        return dangerId;
    }

    public void setOwndeptid(Long owndeptid) {
        this.owndeptid = owndeptid;
    }

    public Long getOwndeptid() {
        return owndeptid;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("deleteBy", getDeleteBy())
                .append("deleteTime", getDeleteTime())
                .append("dataStatus", getDataStatus())
                .append("patrolpointId", getPatrolpointId())
                .append("patrolpointName", getPatrolpointName())
                .append("patrolpointAddress", getPatrolpointAddress())
                .append("patrolTime", getPatrolTime())
                .append("userId", getUserId())
                .append("userName", getUserName())
                .append("longitude", getLongitude())
                .append("latitude", getLatitude())
                .append("patrolInserttype", getPatrolInserttype())
                .append("isHavedanger", getIsHavedanger())
                .append("dangerId", getDangerId())
                .append("owndeptid", getOwndeptid())
                .append("deptId", getDeptId())
                .toString();
    }
}
