package com.sooka.sponest.event.emergency.patrolrecord.mapper;

import com.sooka.sponest.event.emergency.patrolrecord.domain.CentereventTEmergencyPatrolrecord;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 巡更记录Mapper接口
 *
 * @author ruoyi
 * @date 2022-07-20
 */
public interface CentereventTEmergencyPatrolrecordMapper
{
    /**
     * 查询巡更记录
     *
     * @param id 巡更记录主键
     * @return 巡更记录
     */
    public CentereventTEmergencyPatrolrecord selectCentereventTEmergencyPatrolrecordById(String id);

    /**
     * 查询巡更记录列表
     *
     * @param centereventTEmergencyPatrolrecord 巡更记录
     * @return 巡更记录集合
     */
    public List<CentereventTEmergencyPatrolrecord> selectCentereventTEmergencyPatrolrecordList(CentereventTEmergencyPatrolrecord centereventTEmergencyPatrolrecord);

    /**
     * 新增巡更记录
     *
     * @param centereventTEmergencyPatrolrecord 巡更记录
     * @return 结果
     */
    public int insertCentereventTEmergencyPatrolrecord(CentereventTEmergencyPatrolrecord centereventTEmergencyPatrolrecord);

    /**
     * 修改巡更记录
     *
     * @param centereventTEmergencyPatrolrecord 巡更记录
     * @return 结果
     */
    public int updateCentereventTEmergencyPatrolrecord(CentereventTEmergencyPatrolrecord centereventTEmergencyPatrolrecord);

    /**
     * 删除巡更记录
     *
     * @param id 巡更记录主键
     * @return 结果
     */
    public int deleteCentereventTEmergencyPatrolrecordById(String id);

    /**
     * 批量删除巡更记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCentereventTEmergencyPatrolrecordByIds(String[] ids);

    /**
     * 查询最新记录
     *
     * @return 结果
     */
    public CentereventTEmergencyPatrolrecord getCentereventTEmergencyPatrolrecordNewData(String patrolpointId);


    List<Map<String,String>> findItudeByUserId(String userId);


    List<Map<String,String>> findItudeByUserIdAndTime(@Param("userId") String userId, @Param("time") String time);
}
