package com.sooka.sponest.event.emergency.patrolrecord.service.impl;

import com.ruoyi.common.core.utils.DateUtils;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.event.emergency.patrolrecord.domain.CentereventTEmergencyPatrolrecord;
import com.sooka.sponest.event.emergency.patrolrecord.mapper.CentereventTEmergencyPatrolrecordMapper;
import com.sooka.sponest.event.emergency.patrolrecord.service.ICentereventTEmergencyPatrolrecordService;
import com.sooka.sponest.event.remoteapi.RemoteDataService;
import com.sooka.sponest.event.remoteapi.domain.CenterdataTEmergencyPatrolpoint;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Calendar;
import java.util.Date;
import java.util.List;
import java.util.UUID;

/**
 * 巡更记录Service业务层处理
 *
 * @author ruoyi
 * @date 2022-07-20
 */
@Service
public class CentereventTEmergencyPatrolrecordServiceImpl implements ICentereventTEmergencyPatrolrecordService {
    @Autowired
    private CentereventTEmergencyPatrolrecordMapper centereventTEmergencyPatrolrecordMapper;

    @Autowired
    private RemoteDataService remoteDataService;

    /**
     * 查询巡更记录
     *
     * @param id 巡更记录主键
     * @return 巡更记录
     */
    @Override
    public CentereventTEmergencyPatrolrecord selectCentereventTEmergencyPatrolrecordById(String id) {
        return centereventTEmergencyPatrolrecordMapper.selectCentereventTEmergencyPatrolrecordById(id);
    }

    /**
     * 查询巡更记录列表
     *
     * @param centereventTEmergencyPatrolrecord 巡更记录
     * @return 巡更记录
     */
    @Override
    public List<CentereventTEmergencyPatrolrecord> selectCentereventTEmergencyPatrolrecordList(CentereventTEmergencyPatrolrecord centereventTEmergencyPatrolrecord) {
        return centereventTEmergencyPatrolrecordMapper.selectCentereventTEmergencyPatrolrecordList(centereventTEmergencyPatrolrecord);
    }

    /**
     * 新增巡更记录
     *
     * @param centereventTEmergencyPatrolrecord 巡更记录
     * @return 结果
     */
    @Override
    public int insertCentereventTEmergencyPatrolrecord(CentereventTEmergencyPatrolrecord centereventTEmergencyPatrolrecord) {

        //根据条码获取绑定的详情信息并赋值到巡更记录中
        String barCode = centereventTEmergencyPatrolrecord.getPatrolpointId();
        CenterdataTEmergencyPatrolpoint info = remoteDataService.findIPatrolpointByBarCode(barCode).getData();
        centereventTEmergencyPatrolrecord.setPatrolpointId(info.getId());
        centereventTEmergencyPatrolrecord.setPatrolpointName(info.getPatrolpointName());
        centereventTEmergencyPatrolrecord.setPatrolpointAddress(info.getPatrolpointAddress());
        centereventTEmergencyPatrolrecord.setLongitude(info.getLongitude());
        centereventTEmergencyPatrolrecord.setLatitude(info.getLatitude());
        centereventTEmergencyPatrolrecord.setPatrolInserttype("0");

        //获取巡更记录最后一条
        CentereventTEmergencyPatrolrecord newData = centereventTEmergencyPatrolrecordMapper.getCentereventTEmergencyPatrolrecordNewData(info.getId());
        if (newData != null) {
            Calendar calendar = Calendar.getInstance();
            calendar.setTime(newData.getPatrolTime());
            calendar.add(Calendar.DATE, info.getPatrolCycle().intValue());
            if (new Date().compareTo(calendar.getTime()) > 0) {
                centereventTEmergencyPatrolrecord.setPatrolInserttype("1");
            }
        }
        centereventTEmergencyPatrolrecord.setIsHavedanger("0");
        centereventTEmergencyPatrolrecord.setId(UUID.randomUUID().toString());
        centereventTEmergencyPatrolrecord.setCreateTime(DateUtils.getNowDate());
        centereventTEmergencyPatrolrecord.setPatrolTime(DateUtils.getNowDate());
        return centereventTEmergencyPatrolrecordMapper.insertCentereventTEmergencyPatrolrecord(centereventTEmergencyPatrolrecord);
    }

    /**
     * 修改巡更记录
     *
     * @param centereventTEmergencyPatrolrecord 巡更记录
     * @return 结果
     */
    @Override
    public int updateCentereventTEmergencyPatrolrecord(CentereventTEmergencyPatrolrecord centereventTEmergencyPatrolrecord) {
        centereventTEmergencyPatrolrecord.setUpdateTime(DateUtils.getNowDate());
        return centereventTEmergencyPatrolrecordMapper.updateCentereventTEmergencyPatrolrecord(centereventTEmergencyPatrolrecord);
    }

    /**
     * 批量删除巡更记录
     *
     * @param ids 需要删除的巡更记录主键
     * @return 结果
     */
    @Override
    public int deleteCentereventTEmergencyPatrolrecordByIds(String[] ids) {
        return centereventTEmergencyPatrolrecordMapper.deleteCentereventTEmergencyPatrolrecordByIds(ids);
    }

    /**
     * 删除巡更记录信息
     *
     * @param id 巡更记录主键
     * @return 结果
     */
    @Override
    public int deleteCentereventTEmergencyPatrolrecordById(String id) {
        return centereventTEmergencyPatrolrecordMapper.deleteCentereventTEmergencyPatrolrecordById(id);
    }

    @Override
    public AjaxResult findItudeByUserId(String userId) {
        return AjaxResult.success(centereventTEmergencyPatrolrecordMapper.findItudeByUserId(userId));
    }

    @Override
    public AjaxResult findItudeByUserIdAndTime(String userId, String time) {
        return AjaxResult.success(centereventTEmergencyPatrolrecordMapper.findItudeByUserIdAndTime(userId, time));
    }
}
