package com.sooka.sponest.event.index.controller;

import com.ruoyi.common.core.domain.R;
import com.ruoyi.common.core.web.controller.BaseController;
import com.sooka.sponest.event.index.domin.Index;
import com.sooka.sponest.event.index.service.ICenterevenTEventIndexService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Api(tags = "首页事件统计")
@RestController
@RequestMapping("/index")
public class IndexController extends BaseController {

    @Autowired
    private ICenterevenTEventIndexService centerevenTEventIndexService;

    /**
     * 县区统计
     */
    @GetMapping("countyList")
    public R countyList(Index index) {
        return R.ok(centerevenTEventIndexService.selectdistrictAndCountyStatistics(index.getTimeArr()));
    }

    /**
     * 行管局统计
     */
    @GetMapping("getEventmapdept")
    public R getEventmapdept(Index index) {
        return R.ok(centerevenTEventIndexService.selectCentereventTEventmapdeptList(index.getTimeArr()));
    }

    /**
     * 系统报告-事件统计
     */
    @GetMapping("/eventReport")
    public R eventReport(@RequestParam(value = "timeArr", required = false) List<String> timeArr) {
        return R.ok(centerevenTEventIndexService.selectStgz(timeArr));
    }
}
