package com.sooka.sponest.event.urge.listener;

import com.sooka.sponest.event.urge.domain.EventDown;
import com.sooka.sponest.event.urge.service.EventDownService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationEvent;
import org.springframework.context.ApplicationListener;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Component;

/**
 * @Auther: mjq
 * @Date: 2023/9/13 - 09 - 13 - 14:16
 * @Description: com.sooka.sponest.event.urge.listener
 * @version: 1.0
 */
@Component
public class EventDownListener implements ApplicationListener {
    protected final Logger logger = LoggerFactory.getLogger(this.getClass());

    @Autowired
    private EventDownService eventDownService;
    @Async
    @Override
    public void onApplicationEvent(ApplicationEvent event) {
        if (event.getSource() instanceof EventDownService) {
            EventDown u = (EventDown) event;
            eventDownService.toVoidDownLoad(u.getMap());
        }
    }
}
